# DoublyLinkedListNode | data-structure-typed
Documentation for data-structure-typed

# Class DoublyLinkedListNode<T>

#### Type Parameters

- #### T

#### Hierarchy

- DoublyLinkedListNode

- Defined in src/data-structures/linked-list/doubly-linked-list.ts:7

#####
Index

### Constructors

constructor

### Properties

next
prev
val

## Constructors

### constructor

- new DoublyLinkedListNode<T>(nodeValue): DoublyLinkedListNode <T>

- #### Type Parameters

  - #### T

  #### Parameters

  - ##### nodeValue: T

  #### Returns DoublyLinkedListNode <T>

  - Defined in src/data-structures/linked-list/doubly-linked-list.ts:12

## Properties

### next

next: null | DoublyLinkedListNode <T>

- Defined in src/data-structures/linked-list/doubly-linked-list.ts:9

### prev

prev: null | DoublyLinkedListNode <T>

- Defined in src/data-structures/linked-list/doubly-linked-list.ts:10

### val

val: T

- Defined in src/data-structures/linked-list/doubly-linked-list.ts:8

Generated using TypeDoc